class TapSplitter {
  String source;
  int number;
  String Tag[];
  String Content[];

  TapSplitter(String source) {
    this.source = source;
    StringTokenizer tokenizer = new StringTokenizer(source, "<");
    this.number = tokenizer.countTokens();
    Tag = new String[number];
    Content = new String[number];
    for (int i=0; i < number; i++) {
      String aToken = tokenizer.nextToken();
      StringTokenizer aTokenizer = new StringTokenizer(aToken, ">");
      Tag[i] = aTokenizer.nextToken();
      if (aTokenizer.hasMoreTokens()) {
        Content[i] = aTokenizer.nextToken();
      }
      else {
        Content[i] = "";
      }
    }
  }

  int GetCount() {
    return number;
  }

  String GetItem(int index) {
    if (index < number) {
      return Content[index];
    }
    else {
      return "";
    }
  }

  String GetItemedType(String type, int index) {
    int n = 0;
    String aTag = "";

    for (int i=0; i < number; i++) {
      int end = Tag[i].indexOf(32);
      if (end > 0) {
        aTag = Tag[i].substring(0, end);
      }
      else {
        aTag = Tag[i];
      }
      if (type.compareTo(aTag) == 0) {
        if (index == n) {
          return Content[i];
        }
        else {
          n++;
        }
      }
    }
    return "";
  }
}
