import java.lang.String;
import java.util.StringTokenizer;

class Test {
  public static void main (String args[]) {
    String test = "<HTML>" +
		  "<HEAD>" +
		  "<TITLE>Hello</TITLE>" +
		  "</HEAD>" +
		  "<BODY>" +
		  "Hello World" +
                  "</BODY></HTML>";
    TapSplitter htmls = new TapSplitter(test);
    StringTokenizer first = new StringTokenizer(htmls.GetItem(5));
    System.out.println("Sixth Item: " + first.nextToken());
  }
}

class TapSplitter {
  String source;
  int number;
  String Tag[];
  String Content[];

  TapSplitter(String source) {
    this.source = source;
    StringTokenizer tokenizer = new StringTokenizer(source, "<");
    this.number = tokenizer.countTokens();
    Tag = new String[number];
    Content = new String[number];
    for (int i=0; i < number; i++) {
      String aToken = tokenizer.nextToken();
      StringTokenizer aTokenizer = new StringTokenizer(aToken, ">");
      Tag[i] = aTokenizer.nextToken();
      if (aTokenizer.hasMoreTokens()) {
        Content[i] = aTokenizer.nextToken();
      }
      else {
        Content[i] = "";
      }
    }
  }

  int GetCount() {
    return number;
  }

  String GetItem(int index) {
    if (index < number) {
      return Content[index];
    }
    else {
      return "";
    }
  }
}
