/*
 * $Id: Document.java,v 1.1.1.1 1998/03/20 12:02:05 ak Exp $
 */

package org.w3c.dom;

/**
 * 
 */
public interface Document extends DocumentFragment {
    public Node             getDocumentType();
    public void             setDocumentType(Node arg);
    
    public Element          getDocumentElement();
    public void             setDocumentElement(Element arg);
    
    public DocumentContext  getContextInfo();
    public void             setContextInfo(DocumentContext arg);
    
    public DocumentContext  createDocumentContext();
    public Element          createElement(String tagName, AttributeList attributes);
    public Text             createTextNode(String data);
    public Comment          createComment(String data);
    public PI               createPI(String name, String data);
    public Attribute        createAttribute(String name, Node value);
    public AttributeList    createAttributeList();
    public NodeIterator     getElementsByTagName();
}
