import  java.lang.Integer;
import  java.io.*;
import  java.util.*;
import  org.w3c.dom.*;
import  org.w3c.dom.html.*;
import  org.openxml.*;
import  org.openxml.x3p.*;
import  org.openxml.parser.*;

class TestParser4 {
    public static void main (String args[]) throws IOException {
        //Document aDoc = new Document();
        //URL aURL = null;
        //InputStream s;
        String initialText = "<html>\n" +
                "<body>\n" +
                "Color and font test:\n" +
                "<ul>\n" +
                "<li><font color=red>red</font>\n" +
                "<li><font color=blue>blue</font>\n" +
                "<li><font color=green>green</font>\n" +
                "<li><font size=-2>small</font>\n" +
                "<li><font size=+2>large</font>\n" +
                "<li><i>italic</i>\n" +
                "<li><b>bold</b>\n" +
                "</ul>\n" +
                "</body>\n" +
                "</html>\n";
                
        String s = null;
        
        try {
            s = "file:"
                + System.getProperty("user.dir")
                + System.getProperty("file.separator")
                + "Hello.html";
        } catch (Exception e) {
            System.err.println("Couldn't create a URL: " + s);
        }

        //File inputFile = new File("Hello.html");
        //FileInputStream in = new FileInputStream(inputFile);
        
        StringReader aReader = new StringReader(initialText);
        HTMLParser aParser = new HTMLParser(aReader, null);
        HTMLDocument aDoc = (HTMLDocument)aParser.parseDocument();
        //in.close();
        System.out.println("HTMLParser is constructed.\n");
        //aDoc.setTitle("Test");
        System.out.println("URL: " + aDoc.getURL() + "\n");
        System.out.println(aDoc.getDocumentElement().getFirstChild().getNodeName() + "\n");
        System.out.println(aDoc.getDocumentElement().getFirstChild().getNodeValue() + "\n");
        
        System.out.println("---Text Only Output---");
        list ( aDoc );
        System.out.println("===== Document ====");
        ByteArrayOutputStream os = new ByteArrayOutputStream();
        Publisher pub = PublisherFactory.createPublisher( os, StreamFormat.HTML);
        pub.publish( aDoc );
        pub.close();
        System.out.println(os.toString());
    }
    
    static void list ( Node node ) {
        while ( node != null ) {
            if ( node.getNodeName().compareTo("#text") == 0 ) {
                System.out.print( node.getNodeValue() );
            }
            if ( node.hasChildNodes() ) {
                list ( node.getFirstChild() );
            }
            node = node.getNextSibling();
        }
    }
     
}
